> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get instance console URL



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/get_console
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 5ef57c94b74e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/instances/{project_id}/{region_id}/{instance_id}/get_console:
    get:
      tags:
        - Instances
      summary: Get instance console URL
      operationId: InstanceConsoleHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: instance_id
          required: true
          description: Instance ID
          schema:
            type: string
        - in: query
          name: console_type
          required: false
          description: Console type
          schema:
            type: string
      responses:
        '200':
          description: Remote console data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoteConsoleSerializer'
        '400':
          description: Unavailable console type
        '404':
          description: Instance not found
        '409':
          description: Console locked
components:
  schemas:
    RemoteConsoleSerializer:
      properties:
        remote_console:
          $ref: '#/components/schemas/RemoteConsoleData'
          description: Remote console information
          examples:
            - protocol: vnc
              type: novnc
              url: >-
                https://console-novnc.example.com/vnc_auto.html?path=%3Ftoken%3Df445c4b6-0a77-4fae-bc0e-147201dbfbea
      required:
        - remote_console
      title: RemoteConsoleSerializer
      type: object
    RemoteConsoleData:
      properties:
        protocol:
          title: Protocol
          type: string
        type:
          title: Type
          type: string
        url:
          format: uri
          minLength: 1
          title: Url
          type: string
      required:
        - protocol
        - type
        - url
      title: RemoteConsoleData
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````